Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 21976 - Do not load editor classes in ModuleInstall
Do not load editor classes in ModuleInstall
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
3.x
PC Linux
: P2 (vote)
: 3.x
Assigned To: Martin Roskanin
issues@editor
: PERFORMANCE
Depends on: 24364 24365 24366
Blocks: 21676
  Show dependency treegraph
 
Reported: 2002-03-29 14:44 UTC by Jaroslav Tulach
Modified: 2007-11-05 13:44 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
The list of all editor premature loaded classes (5.48 KB, text/plain)
2002-04-16 14:12 UTC, Martin Roskanin
Details
Classes that remained (63) (3.39 KB, text/plain)
2002-06-03 10:01 UTC, Martin Roskanin
Details
Classes that remained (50) (2.81 KB, text/plain)
2002-07-18 13:31 UTC, Martin Roskanin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-03-29 14:44:16 UTC
As part of issue 21676 I have investigated what will happen when
ModuleInstall.restore of modules will be called but nothing else. Applied the
patch in issue 21676 and started the IDE with 

-J-Dskip.toolbars=true -J-Dskip.loaders=true -J-Dskip.shortcuts=true
-J-Dnetbeans.full.hack=full -J-Dskip.menu=true

Following classes has been loaded, please investigate why and make sure that
they will not:

org.netbeans.modules.editor.EditorModule
org.netbeans.modules.editor.EditorModule$1
org.netbeans.modules.editor.EditorModule$HackMap
org.netbeans.modules.editor.EditorModule$RepositOperations
org.netbeans.modules.editor.html.HTMLKit
org.netbeans.modules.editor.html.NbHTMLSettingsInitializer
org.netbeans.modules.editor.html.NbReaderProvider
org.netbeans.modules.editor.html.NbReaderProvider$DTDFolderListener
org.netbeans.modules.editor.html.NbReaderProvider$ProviderFolderListener
org.netbeans.modules.editor.html.NbReaderProvider$RootFolderListener
org.netbeans.modules.editor.java.JavaKit
org.netbeans.modules.editor.java.NbJavaSettingsInitializer
org.netbeans.modules.editor.NbDialogSupport
org.netbeans.modules.editor.NbEditorKit
org.netbeans.modules.editor.NbEditorSettingsInitializer
org.netbeans.modules.editor.NbImplementationProvider
org.netbeans.modules.editor.NbLocalizer
org.netbeans.modules.editor.options.AbbrevsEditor
org.netbeans.modules.editor.options.AllOptions
org.netbeans.modules.editor.options.AllOptionsBeanInfo
org.netbeans.modules.editor.options.BaseOptions
org.netbeans.modules.editor.options.BaseOptionsBeanInfo
org.netbeans.modules.editor.options.BaseOptionsBeanInfo$CaretTypeEditor
org.netbeans.modules.editor.options.BasePrintOptions
org.netbeans.modules.editor.options.BasePrintOptionsBeanInfo
org.netbeans.modules.editor.options.ColoringArrayEditor
org.netbeans.modules.editor.options.ContextOptionsListener
org.netbeans.modules.editor.options.HTMLPrintOptions
org.netbeans.modules.editor.options.HTMLPrintOptionsBeanInfo
org.netbeans.modules.editor.options.JavaPrintOptions
org.netbeans.modules.editor.options.JavaPrintOptionsBeanInfo
org.netbeans.modules.editor.options.KeyBindingsEditor
org.netbeans.modules.editor.options.MacrosEditor
org.netbeans.modules.editor.options.MIMEOptionFolder
org.netbeans.modules.editor.options.MIMEOptionNode
org.netbeans.modules.editor.options.OptionSupport
org.netbeans.modules.editor.options.OptionSupport$SettingsInitializer
org.netbeans.modules.editor.options.PlainOptionsBeanInfo
org.netbeans.modules.editor.options.PlainPrintOptions
org.netbeans.modules.editor.options.PlainPrintOptionsBeanInfo
org.netbeans.modules.editor.options.ScrollInsetsEditor
org.netbeans.modules.editor.plain.NbPlainSettingsInitializer
org.netbeans.modules.editor.plain.PlainKit

org.netbeans.modules.properties.syntax.EditorSettingsCopy
org.netbeans.modules.properties.syntax.PropertiesKit
org.netbeans.modules.properties.syntax.PropertiesPrintOptions
org.netbeans.modules.properties.syntax.PropertiesPrintOptionsBeanInfo
org.netbeans.modules.properties.syntax.PropertiesSettingsInitializer
org.netbeans.modules.properties.syntax.RestoreColoring
org.netbeans.modules.properties.syntax.RestoreColoring$1

org.netbeans.modules.web.core.syntax.JSPKit
org.netbeans.modules.web.core.syntax.JspMultiSettingsInitializer
org.netbeans.modules.web.core.syntax.JSPPrintOptions
org.netbeans.modules.web.core.syntax.JSPPrintOptionsBeanInfo
org.netbeans.modules.web.core.syntax.RestoreColoring
org.netbeans.modules.web.core.syntax.RestoreColoring$1


org.netbeans.modules.xml.text.syntax.AbstractBaseOptions
org.netbeans.modules.xml.text.syntax.DTDKit
org.netbeans.modules.xml.text.syntax.DTDOptions
org.netbeans.modules.xml.text.syntax.DTDOptionsBeanInfo
org.netbeans.modules.xml.text.syntax.DTDPrintOptions
org.netbeans.modules.xml.text.syntax.DTDPrintOptionsBeanInfo
org.netbeans.modules.xml.text.syntax.UniKit
org.netbeans.modules.xml.text.syntax.XMLKit
org.netbeans.modules.xml.text.syntax.XMLOptions
org.netbeans.modules.xml.text.syntax.XMLOptionsBeanInfo
org.netbeans.modules.xml.text.syntax.XMLPrintOptions
org.netbeans.modules.xml.text.syntax.XMLPrintOptionsBeanInfo
org.netbeans.modules.xml.text.syntax.XMLSettingsInitializer
org.netbeans.modules.xml.text.TextEditModuleInstall
Comment 1 Jaroslav Tulach 2002-04-13 14:17:57 UTC
Please find some time and do the evaluation.
Comment 2 Martin Roskanin 2002-04-15 12:49:43 UTC
.
Comment 3 Martin Roskanin 2002-04-16 14:12:08 UTC
Created attachment 5426 [details]
The list of all editor premature loaded classes
Comment 4 Martin Roskanin 2002-04-16 14:48:08 UTC
Removing completion lazy init from EditorModule to JavaKit.

12 classes have been saved:
org.netbeans.editor.ext.Completion
org.netbeans.editor.ext.java.JavaCompletion$BaseType
org.netbeans.editor.ext.java.JavaCompletion$JCFinderInitializer
org.netbeans.editor.ext.java.JavaCompletion$SimpleClass
org.netbeans.editor.ext.java.JavaCompletion
org.netbeans.editor.ext.java.JCClass
org.netbeans.editor.ext.java.JCConstructor
org.netbeans.editor.ext.java.JCField
org.netbeans.editor.ext.java.JCMethod
org.netbeans.editor.ext.java.JCPackage
org.netbeans.editor.ext.java.JCParameter
org.netbeans.editor.ext.java.JCType

/cvs/editor/src/org/netbeans/modules/editor/EditorModule.java,v  <--  
EditorModule.java
new revision: 1.76; previous revision: 1.75

/cvs/editor/src/org/netbeans/modules/editor/java/JavaKit.java,v  <--  
JavaKit.java
new revision: 1.34; previous revision: 1.33

/cvs/editor/src/org/netbeans/modules/editor/java/NbJavaFastOpen.java,v 
 <--  NbJavaFastOpen.java
new revision: 1.8; previous revision: 1.7
Comment 5 Martin Roskanin 2002-05-20 13:51:33 UTC
Moving DORegistryListener to JavaKit. It is not neccessary 
to attach listener from EditorModule class, it can be done 
after JavaKit initialization.

Saved class:
Loaded org.netbeans.modules.editor.DORegistryListener

Removing 
src/org/netbeans/modules/editor/DORegistryListener.java;
/cvs/editor/src/org/netbeans/modules/editor/DORegistryListe
ner.java,v  <--  DORegistryListener.java
new revision: delete; previous revision: 1.7

/cvs/editor/src/org/netbeans/modules/editor/EditorModule.ja
va,v  <--  EditorModule.java
new revision: 1.81; previous revision: 1.80

/cvs/editor/src/org/netbeans/modules/editor/java/JavaKit.ja
va,v  <--  JavaKit.java
new revision: 1.36; previous revision: 1.35
			
Comment 6 Martin Roskanin 2002-05-20 14:37:01 UTC
Moving NbEditorSettingsInitializer.init() to NbEditorKit 
initialization.

8 classes were saved:
org.netbeans.modules.editor.plain.NbPlainSettingsInitialize
r				
org.netbeans.modules.editor.NbEditorSettingsInitialize
org.netbeans.modules.editor.java.NbJavaSettingsInitializer 
org.netbeans.modules.editor.html.NbHTMLSettingsInitializer
org.netbeans.editor.ext.html.HTMLSettingsInitializer
org.netbeans.editor.ext.java.JavaSettingsInitializer
org.netbeans.editor.ext.ExtSettingsInitializer
org.netbeans.editor.BaseSettingsInitializer	

/cvs/editor/src/org/netbeans/modules/editor/EditorModule.ja
va,v  <--  EditorModule.java
new revision: 1.82; previous revision: 1.81

/cvs/editor/src/org/netbeans/modules/editor/NbEditorKit.jav
a,v  <--  NbEditorKit.java
new revision: 1.33; previous revision: 1.32
Comment 7 Martin Roskanin 2002-05-20 16:28:20 UTC
Removing PrintOptions init from EditorModule class.

14 classes were saved:

org.netbeans.editor.ext.html.dtd.ReaderProvider
org.netbeans.editor.ext.html.dtd.Registry
org.netbeans.modules.editor.html.HTMLKit
org.netbeans.modules.editor.html.NbReaderProvider$DTDFolder
Listener
org.netbeans.modules.editor.html.NbReaderProvider$ProviderF
olderListener
org.netbeans.modules.editor.html.NbReaderProvider$RootFolde
rListener
org.netbeans.modules.editor.html.NbReaderProvider
org.netbeans.modules.editor.java.JavaKit
org.netbeans.modules.editor.NbEditorUtilities
org.netbeans.modules.editor.options.ContextOptionsListener
org.netbeans.modules.editor.options.HTMLPrintOptionsBeanInf
o
org.netbeans.modules.editor.options.JavaPrintOptionsBeanInf
o
org.netbeans.modules.editor.options.PlainPrintOptionsBeanIn
fo
org.netbeans.modules.editor.plain.PlainKit

/cvs/editor/src/org/netbeans/modules/editor/EditorModule.ja
va,v  <--  EditorModule.java
new revision: 1.83; previous revision: 1.82

/cvs/editor/src/org/netbeans/modules/editor/NbEditorKit.jav
a,v  <--  NbEditorKit.java
new revision: 1.34; previous revision: 1.33

/cvs/editor/src/org/netbeans/modules/editor/options/BasePri
ntOptions.java,v  <--  BasePrintOptions.java
new revision: 1.26; previous revision: 1.25

/cvs/editor/src/org/netbeans/modules/editor/options/OptionS
upport.java,v  <--  OptionSupport.java
new revision: 1.25; previous revision: 1.24


Comment 8 Martin Roskanin 2002-06-03 10:00:19 UTC
fixed in [maintrunk]

I could remove the other two classes:

[Loaded org.netbeans.editor.AnnotationTypes$Loader]
[Loaded org.netbeans.editor.AnnotationTypes]

but I am not sure whether it will not affect something.

As for the rest 61 classes (listed in the attachement), 
I cannot remove it easily from editor module because some other
modules invoke these classes (I mean options related classes) i.e XML
editor (some options  are not transferred to XML layer.)

Some of the classes have to persist in editor ModuleInstall class,
such as:
[Loaded org.netbeans.modules.editor.EditorModule$RepositListener]
[Loaded org.netbeans.modules.editor.EditorModule$RepositOperations]


That's why I think the work is done as for editor module and I am
closing this bug.
Comment 9 Martin Roskanin 2002-06-03 10:01:35 UTC
Created attachment 6036 [details]
Classes that remained (63)
Comment 10 Jaroslav Tulach 2002-06-03 15:27:32 UTC
Martin, please create bugs for other modules that did not upgraded
editor settings and make them block this issue. The goal is to
identify all sources of problems and get the amount of loaded classes
down as much as possible.
Comment 11 Martin Roskanin 2002-07-18 13:29:12 UTC
XML team fixed their issue #24366 that blocked this one. There are two
bugs that block this issue, because they are in experimental modules I
close this bug.
Comment 12 Martin Roskanin 2002-07-18 13:31:29 UTC
Created attachment 6775 [details]
Classes that remained (50)
Comment 13 pfelenda 2004-02-25 13:29:13 UTC
Jaroslav could you please verify this issue ? Thanks 
Comment 14 Max Sauer 2005-07-13 12:34:36 UTC
Jaroslave, could you please verify this issue ? Thanks
Comment 15 Jaroslav Tulach 2005-07-14 08:26:00 UTC
No I cannot verify, because the classes are still loaded. The code in 
EditorModule in fact seems to do much more than it used to... 
 
 
Comment 16 Roman Strobl 2005-07-14 09:23:40 UTC
Jardo, if you can't verify it, shouldn't it be reopened? Or will you file a new
issue? Thanks.
Comment 17 Jaroslav Tulach 2005-07-14 12:12:51 UTC
I am not going to reopen the issue. I am not going to fire new one in near 
future. 
Comment 18 Roman Strobl 2005-07-15 11:36:17 UTC
Well, we're trying to clean up Issuezilla, but OK, we'll leave this one as
RESOLVED/FIXED.
Comment 19 Jiri Prox 2006-04-07 09:08:22 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo